### Method

# Shumate VectorSprite get_source_rect

since: 1.1

#### Declaration [src]

    GdkRectangle*
    shumate_vector_sprite_get_source_rect (
      ShumateVectorSprite* self
    )

#### Description [src]

Gets the source rectangle of the sprite.

Available since: 1.1

Gets property | `Shumate.VectorSprite:source-rect`

#### Return value

Type: `GdkRectangle`

The sprite’s source rectangle, or `NULL` if the entire paintable is used.

The returned data is owned by the instance.
The return value can be `NULL`.